Home
Support Forums

Unable to build and deploy failed to load config "react-app" to extend from. netlify site name is ameliawibi

I am not sure what happened because locally I am able to build and i have package.json file.

  • netlify site name. ameliawibi.netlify.app/
  • Build problem
    11:45:32 PM: Build ready to start
    11:45:34 PM: build-image version: 653805ca4a64301556e56dc4b321ef8fc20cbb7c
    11:45:34 PM: build-image tag: v3.8.2
    11:45:34 PM: buildbot version: 5ca46ad10ed1b3bf6d683d62872e59029498e5a4
    11:45:34 PM: Building without cache
    11:45:34 PM: Starting to prepare the repo for build
    11:45:35 PM: No cached dependencies found. Cloning fresh repo
    11:45:35 PM: git clone GitHub - ameliawibi/ameliawibi
    11:45:35 PM: Preparing Git Reference refs/heads/master
    11:45:36 PM: Parsing package.json dependencies
    11:45:37 PM: Starting build script
    11:45:37 PM: Installing dependencies
    11:45:37 PM: Python version set to 2.7
    11:45:38 PM: v12.18.0 is already installed.
    11:45:38 PM: Now using node v12.18.0 (npm v6.14.4)
    11:45:38 PM: Started restoring cached build plugins
    11:45:38 PM: Finished restoring cached build plugins
    11:45:39 PM: Attempting ruby version 2.7.2, read from environment
    11:45:40 PM: Using ruby version 2.7.2
    11:45:40 PM: Using PHP version 5.6
    11:45:40 PM: Started restoring cached yarn cache
    11:45:40 PM: Finished restoring cached yarn cache
    11:45:40 PM: Installing yarn at version 1.22.10
    11:45:40 PM: Installing Yarn!
    11:45:40 PM: > Downloading tarball…
    11:45:40 PM: % Total % Received % Xferd Average Speed Time Time Time Current
    11:45:40 PM: Dload Upload Total Spent Left Speed
    11:45:41 PM: 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
    11:45:41 PM: 100 81 100 81 0 0 284 0 --:–:-- --:–:-- --:–:-- 285
    11:45:41 PM: 100 95 100 95 0 0 150 0 --:–:-- --:–:-- --:–:-- 150
    11:45:41 PM: 0 0 0 0 0 0 0 0 --:–:-- --:–:-- --:–:-- 0
    11:45:41 PM: 100 626 100 626 0 0 652 0 --:–:-- --:–:-- --:–:-- 2158
    11:45:42 PM: 100 1215k 100 1215k 0 0 1003k 0 0:00:01 0:00:01 --:–:-- 1003k
    11:45:42 PM: 100 85 100 85 0 0 923 0 --:–:-- --:–:-- --:–:-- 923
    11:45:42 PM: 100 99 100 99 0 0 774 0 --:–:-- --:–:-- --:–:-- 774
    11:45:42 PM: 100 630 100 630 0 0 2819 0 --:–:-- --:–:-- --:–:-- 2819
    11:45:42 PM: 100 832 100 832 0 0 3073 0 --:–:-- --:–:-- --:–:-- 3073
    11:45:42 PM: > Verifying integrity…
    11:45:42 PM: gpg: Signature made Fri 02 Oct 2020 11:17:27 AM UTC using RSA key ID 69475BAA
    11:45:42 PM: gpg: Good signature from β€œYarn Packaging”
    11:45:42 PM: gpg: WARNING: This key is not certified with a trusted signature!
    11:45:42 PM: gpg: There is no indication that the signature belongs to the owner.
    11:45:42 PM: Primary key fingerprint: 72EC F46A 56B4 AD39 C907 BBB7 1646 B01B 86E5 0310
    11:45:42 PM: Subkey fingerprint: 6D98 490C 6F1A CDDD 448E 4595 4F77 6793 6947 5BAA
    11:45:42 PM: > GPG signature looks good
    11:45:42 PM: > Extracting to ~/.yarn…
    11:45:42 PM: > Adding to $PATH…
    11:45:42 PM: > Successfully installed Yarn 1.22.10! Please open another terminal where the yarn command will now be available.
    11:45:43 PM: No yarn workspaces detected
    11:45:43 PM: Started restoring cached node modules
    11:45:43 PM: Finished restoring cached node modules
    11:45:43 PM: Installing NPM modules using Yarn version 1.22.10
    11:45:43 PM: yarn install v1.22.10
    11:45:44 PM: warning package-lock.json found. Your project contains lock files generated by tools other than Yarn. It is advised not to mix package managers in order to avoid resolution inconsistencies caused by unsynchronized lock files. To clear this warning, remove package-lock.json.
    11:45:44 PM: [1/4] Resolving packages…
    11:45:46 PM: [2/4] Fetching packages…
    11:46:13 PM: info fsevents2.3.2: The platform β€œlinux” is incompatible with this module.
    11:46:13 PM: info β€œfsevents2.3.2” is an optional dependency and failed compatibility check. Excluding it from installation.
    11:46:13 PM: info fsevents1.2.13: The platform β€œlinux” is incompatible with this module.
    11:46:13 PM: info β€œfsevents1.2.13” is an optional dependency and failed compatibility check. Excluding it from installation.
    11:46:13 PM: [3/4] Linking dependencies…
    11:46:13 PM: warning " >testing-library/user-event12.8.3" has unmet peer dependency β€œtesting-library/dom>=7.21.4”.
    11:46:13 PM: warning β€œreact-scripts > typescript-eslint/eslint-plugin > tsutils3.20.0” has unmet peer dependency β€œtypescript>=2.8.0 || >= 3.2.0-dev || >= 3.3.0-dev || >= 3.4.0-dev || >= 3.5.0-dev || >= 3.6.0-dev || >= 3.6.0-beta || >= 3.7.0-dev || >= 3.7.0-beta”.
    11:46:13 PM: warning " > tailwindcss2.2.7" has incorrect peer dependency β€œautoprefixer^10.0.2”.
    11:46:32 PM: [4/4] Building fresh packages…
    11:46:33 PM: success Saved lockfile.
    11:46:33 PM: Done in 49.59s.
    11:46:33 PM: NPM modules installed using Yarn
    11:46:33 PM: Started restoring cached go cache
    11:46:33 PM: Finished restoring cached go cache
    11:46:33 PM: go version go1.14.4 linux/amd64
    11:46:33 PM: go version go1.14.4 linux/amd64
    11:46:33 PM: Installing missing commands
    11:46:33 PM: Verify run directory
    11:46:34 PM: ​
    11:46:34 PM: ────────────────────────────────────────────────────────────────
    11:46:34 PM: Netlify Build
    11:46:34 PM: ────────────────────────────────────────────────────────────────
    11:46:34 PM: ​
    11:46:34 PM: ❯ Version
    11:46:34 PM: @netlify/build 16.2.1
    11:46:34 PM: ​
    11:46:34 PM: ❯ Flags
    11:46:34 PM: deployId: 60fd871cd5d642034610945d
    11:46:34 PM: ​
    11:46:34 PM: ❯ Current directory
    11:46:34 PM: /opt/build/repo
    11:46:34 PM: ​
    11:46:34 PM: ❯ Config file
    11:46:34 PM: No config file was defined: using default values.
    11:46:34 PM: ​
    11:46:34 PM: ❯ Context
    11:46:34 PM: production
    11:46:34 PM: ​
    11:46:34 PM: ────────────────────────────────────────────────────────────────
    11:46:34 PM: 1. Build command from Netlify app
    11:46:34 PM: ────────────────────────────────────────────────────────────────
    11:46:34 PM: ​
    11:46:34 PM: $ npm run build
    11:46:34 PM: > personal-website@0.1.0 build /opt/build/repo
    11:46:34 PM: > react-scripts build
    11:46:36 PM: Creating an optimized production build…
    11:47:17 PM: Failed to compile.
    11:47:17 PM:
    11:47:17 PM: Failed to load config β€œreact-app” to extend from.
    11:47:17 PM: Referenced from: /opt/build/repo/.eslintrc.js
    11:47:17 PM: npm ERR! code ELIFECYCLE
    11:47:17 PM: npm ERR! errno 1
    11:47:17 PM: npm ERR! personal-website@0.1.0 build: react-scripts build
    11:47:17 PM: npm ERR! Exit status 1
    11:47:17 PM: npm ERR!
    11:47:17 PM: npm ERR! Failed at the personal-website@0.1.0 build script.
    11:47:17 PM: npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    11:47:17 PM: npm ERR! A complete log of this run can be found in:
    11:47:17 PM: npm ERR! /opt/buildhome/.npm/_logs/2021-07-25T15_47_17_144Z-debug.log
    11:47:17 PM: ​
    11:47:17 PM: ────────────────────────────────────────────────────────────────
    11:47:17 PM: β€œbuild.command” failed
    11:47:17 PM: ────────────────────────────────────────────────────────────────
    11:47:17 PM: ​
    11:47:17 PM: Error message
    11:47:17 PM: Command failed with exit code 1: npm run build
    11:47:17 PM: ​
    11:47:17 PM: Error location
    11:47:17 PM: In Build command from Netlify app:
    11:47:17 PM: npm run build
    11:47:17 PM: ​
    11:47:17 PM: Resolved config
    11:47:17 PM: build:
    11:47:17 PM: command: npm run build
    11:47:17 PM: commandOrigin: ui
    11:47:17 PM: publish: /opt/build/repo/build
    11:47:17 PM: publishOrigin: ui
    11:47:17 PM: Caching artifacts
    11:47:17 PM: Started saving node modules
    11:47:17 PM: Finished saving node modules
    11:47:17 PM: Started saving build plugins
    11:47:17 PM: Finished saving build plugins
    11:47:17 PM: Started saving yarn cache
    11:47:23 PM: Finished saving yarn cache
    11:47:23 PM: Started saving pip cache
    11:47:23 PM: Finished saving pip cache
    11:47:23 PM: Started saving emacs cask dependencies
    11:47:23 PM: Finished saving emacs cask dependencies
    11:47:23 PM: Started saving maven dependencies
    11:47:23 PM: Finished saving maven dependencies
    11:47:23 PM: Started saving boot dependencies
    11:47:23 PM: Finished saving boot dependencies
    11:47:23 PM: Started saving rust rustup cache
    11:47:23 PM: Finished saving rust rustup cache
    11:47:23 PM: Started saving go dependencies
    11:47:23 PM: Finished saving go dependencies
    11:47:26 PM: Build failed due to a user error: Build script returned non-zero exit code: 2
    11:47:26 PM: Creating deploy upload records
    11:47:26 PM: Failing build: Failed to build site
    11:47:26 PM: Failed during stage β€˜building site’: Build script returned non-zero exit code: 2
    11:47:26 PM: Finished processing build request in 1m51.730022948s

I have been browsing the forum for a long time and i was not able to figure out what went wrong with my build. Could you please help? Thank you so much!!

Welcome to the forums @ameliawibi
This is the error

And this is the line in your .eslintrc.js the error refers to.

extends: ["airbnb", "plugin:import/recommended", "prettier", "react-app"],

Thank you Coelmay for narrowing the error.
After some time trying to fix this, i finally found the solution that might be helpful to whoever is reading this post:

  1. Remove react app from eslint config β€œextends” because I dont need it (I have airbnb);
  2. Remove eslint config from package.json because I already have eslint config file for that.

Thanks!!

1 Like